import React from 'react';
import Button from '@material-ui/core/Button';
import Dialog from '@material-ui/core/Dialog';
import DialogActions from '@material-ui/core/DialogActions';
import DialogContent from '@material-ui/core/DialogContent';
import DialogContentText from '@material-ui/core/DialogContentText';
import DialogTitle from '@material-ui/core/DialogTitle';
import Divider from '@material-ui/core/Divider';
import packageJSON from '../../../../../package.json';
import Video from 'twilio-video';
import { useAppState } from '../../state';

function AboutDialog({
  open,
  onClose
}) {
  const {
    roomType
  } = useAppState();
  return /*#__PURE__*/React.createElement(Dialog, {
    open: open,
    onClose: onClose,
    fullWidth: true,
    maxWidth: "xs"
  }, /*#__PURE__*/React.createElement(DialogTitle, null, "About"), /*#__PURE__*/React.createElement(Divider, null), /*#__PURE__*/React.createElement(DialogContent, null, /*#__PURE__*/React.createElement(DialogContentText, null, "Browser supported: ", String(Video.isSupported)), /*#__PURE__*/React.createElement(DialogContentText, null, "SDK Version: ", Video.version), /*#__PURE__*/React.createElement(DialogContentText, null, "App Version: ", packageJSON.version), /*#__PURE__*/React.createElement(DialogContentText, null, "Deployed Tag: ", process.env.REACT_APP_GIT_TAG || 'N/A'), /*#__PURE__*/React.createElement(DialogContentText, null, "Deployed Commit Hash: ", process.env.REACT_APP_GIT_COMMIT || 'N/A'), roomType && /*#__PURE__*/React.createElement(DialogContentText, null, "Room Type: ", roomType)), /*#__PURE__*/React.createElement(Divider, null), /*#__PURE__*/React.createElement(DialogActions, null, /*#__PURE__*/React.createElement(Button, {
    onClick: onClose,
    color: "primary",
    variant: "contained",
    autoFocus: true
  }, "OK")));
}

export default AboutDialog;