import React from 'react';
import { FormControl, MenuItem, Typography, Select } from '@material-ui/core';
import { useAppState } from '../../../state';
import useDevices from '../../../hooks/useDevices/useDevices';
export default function AudioOutputList() {
  const {
    audioOutputDevices
  } = useDevices();
  const {
    activeSinkId,
    setActiveSinkId
  } = useAppState();
  const activeOutputLabel = audioOutputDevices.find(device => device.deviceId === activeSinkId)?.label;
  return /*#__PURE__*/React.createElement("div", {
    className: "inputSelect"
  }, audioOutputDevices.length > 1 ? /*#__PURE__*/React.createElement(FormControl, {
    fullWidth: true
  }, /*#__PURE__*/React.createElement(Typography, {
    variant: "subtitle2",
    gutterBottom: true
  }, "Audio Output"), /*#__PURE__*/React.createElement(Select, {
    onChange: e => setActiveSinkId(e.target.value),
    value: activeSinkId,
    variant: "outlined"
  }, audioOutputDevices.map(device => /*#__PURE__*/React.createElement(MenuItem, {
    value: device.deviceId,
    key: device.deviceId
  }, device.label)))) : /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Typography, {
    variant: "subtitle2"
  }, "Audio Output"), /*#__PURE__*/React.createElement(Typography, null, activeOutputLabel || 'System Default Audio Output')));
}