import React from 'react';
import AudioInputList from './AudioInputList/AudioInputList';
import AudioOutputList from './AudioOutputList/AudioOutputList';
import { DialogContent, Typography, Divider, Dialog, DialogActions, Button, DialogTitle, Hidden } from '@material-ui/core';
import { makeStyles } from '@material-ui/core/styles';
import VideoInputList from './VideoInputList/VideoInputList';
import MaxGalleryViewParticipants from './MaxGalleryViewParticipants/MaxGalleryViewParticipants';
const useStyles = makeStyles(theme => ({
  container: {
    width: '600px',
    minHeight: '400px',
    [theme.breakpoints.down('xs')]: {
      width: 'calc(100vw - 32px)'
    },
    '& .inputSelect': {
      width: 'calc(100% - 35px)'
    }
  },
  button: {
    float: 'right'
  },
  paper: {
    [theme.breakpoints.down('xs')]: {
      margin: '16px'
    }
  },
  headline: {
    marginBottom: '1.3em',
    fontSize: '1.1rem'
  },
  listSection: {
    margin: '2em 0 0.8em',
    '&:first-child': {
      margin: '1em 0 2em 0'
    }
  }
}));
export default function DeviceSelectionDialog({
  open,
  onClose
}) {
  const classes = useStyles();
  return /*#__PURE__*/React.createElement(Dialog, {
    open: open,
    onClose: onClose,
    classes: {
      paper: classes.paper
    }
  }, /*#__PURE__*/React.createElement(DialogTitle, null, "Audio and Video Settings"), /*#__PURE__*/React.createElement(Divider, null), /*#__PURE__*/React.createElement(DialogContent, {
    className: classes.container
  }, /*#__PURE__*/React.createElement("div", {
    className: classes.listSection
  }, /*#__PURE__*/React.createElement(Typography, {
    variant: "h6",
    className: classes.headline
  }, "Video"), /*#__PURE__*/React.createElement(VideoInputList, null)), /*#__PURE__*/React.createElement(Divider, null), /*#__PURE__*/React.createElement("div", {
    className: classes.listSection
  }, /*#__PURE__*/React.createElement(Typography, {
    variant: "h6",
    className: classes.headline
  }, "Audio"), /*#__PURE__*/React.createElement(AudioInputList, null)), /*#__PURE__*/React.createElement("div", {
    className: classes.listSection
  }, /*#__PURE__*/React.createElement(AudioOutputList, null)), /*#__PURE__*/React.createElement(Hidden, {
    smDown: true
  }, /*#__PURE__*/React.createElement(Divider, null), /*#__PURE__*/React.createElement("div", {
    className: classes.listSection
  }, /*#__PURE__*/React.createElement(Typography, {
    variant: "h6",
    className: classes.headline
  }, "Gallery View"), /*#__PURE__*/React.createElement(MaxGalleryViewParticipants, null)))), /*#__PURE__*/React.createElement(Divider, null), /*#__PURE__*/React.createElement(DialogActions, null, /*#__PURE__*/React.createElement(Button, {
    color: "primary",
    variant: "contained",
    className: classes.button,
    onClick: onClose
  }, "Done")));
}