import React from 'react';
import Button from '@material-ui/core/Button';
import Dialog from '@material-ui/core/Dialog';
import DialogContent from '@material-ui/core/DialogContent';
import DialogActions from '@material-ui/core/DialogActions';
import DialogTitle from '@material-ui/core/DialogTitle';
import DialogContentText from '@material-ui/core/DialogContentText';
import enhanceMessage from './enhanceMessage';

function ErrorDialog({
  dismissError,
  error
}) {
  const {
    message,
    code
  } = error || {};
  const enhancedMessage = enhanceMessage(message, code);
  return /*#__PURE__*/React.createElement(Dialog, {
    open: error !== null,
    onClose: () => dismissError(),
    fullWidth: true,
    maxWidth: "xs"
  }, /*#__PURE__*/React.createElement(DialogTitle, null, "ERROR"), /*#__PURE__*/React.createElement(DialogContent, null, /*#__PURE__*/React.createElement(DialogContentText, null, enhancedMessage), Boolean(code) && /*#__PURE__*/React.createElement("pre", null, /*#__PURE__*/React.createElement("code", null, "Error Code: ", code))), /*#__PURE__*/React.createElement(DialogActions, null, /*#__PURE__*/React.createElement(Button, {
    onClick: () => dismissError(),
    color: "primary",
    autoFocus: true
  }, "OK")));
}

export default ErrorDialog;