function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { Redirect, Route } from 'react-router-dom';
import { useAppState } from '../../state';
export default function PrivateRoute({
  children,
  ...rest
}) {
  const {
    isAuthReady,
    user
  } = useAppState();
  const renderChildren = user || !process.env.REACT_APP_SET_AUTH;

  if (!renderChildren && !isAuthReady) {
    return null;
  }

  return /*#__PURE__*/React.createElement(Route, _extends({}, rest, {
    render: ({
      location
    }) => renderChildren ? children : /*#__PURE__*/React.createElement(Redirect, {
      to: {
        pathname: '/login',
        state: {
          from: location
        }
      }
    })
  }));
}